import { Flex } from 'ui/grid';
import renderFormRows from '../../lib/render-rows';
import { id, rows, title } from './config';
import FinGAPTable from './FinGAPTable';
import InsuranceTable from './InsuranceTable';

function Insurance() {
  const renderedRows = renderFormRows(rows);

  return (
    <Flex flexDirection="column">
      {renderedRows}
      <InsuranceTable />
      <FinGAPTable />
    </Flex>
  );
}

export default {
  id,
  title,
  Component: Insurance,
};
